db-jdo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Matthew Adams <matt...@matthewadams.me>
Subject Re: JDO 3.0 dependency on JPA
Date Wed, 12 Oct 2011 15:43:39 GMT
Well, the one I've used is this, which is in Maven central:

<dependency>
    <groupId>org.eclipse.persistence</groupId>
    <artifactId>javax.persistence</artifactId>
    <version>2.0.0</version>
</dependency>

EclipseLink is the RI for JPA 2.0, so it's the closest I think I we
can get to "official".  AFAIK, there are no releases with a groupId of
"javax.persistence" and artifactId of "persistence-api".

-matthew

On Wed, Oct 12, 2011 at 9:12 AM, Andy Jefferson <andy@datanucleus.org> wrote:
>> I suggest changing the JDO-684 patch to specify
>> javax.persistence;version="[1.0.0,3.0.0)"
>
> Maybe
>
>> Thoughts?
>
> When are the JPA2 EG going to make the effort to actually provide a
> "javax.persistence" "persistence-api" 2.0 ? i.e official. Providing the API part
> of the JCP process any more?
>
> People often just use "geronimo-specs" jpa_2.0 v1.1, which exports
> "javax.persistence" as version="1.1" !!!
>
>
> --
> Andy
> DataNucleus (http://www.datanucleus.org)
>



-- 
@matthewadams12
mailto:matthew@matthewadams.me
skype:matthewadams12
yahoo:matthewadams
aol:matthewadams12
google-talk:matthewadams12@gmail.com
msn:matthew@matthewadams.me
http://matthewadams.me
http://www.linkedin.com/in/matthewadams

Mime
View raw message